> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download model

> Receive a compressed fine-tuned model or checkpoint.



## OpenAPI

````yaml GET /finetune/download
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /finetune/download:
    get:
      tags:
        - Fine-tuning
      summary: Download model
      description: Receive a compressed fine-tuned model or checkpoint.
      parameters:
        - in: query
          name: ft_id
          required: true
          schema:
            description: Fine-tune ID to download. A string that starts with `ft-`.
            type: string
        - in: query
          name: checkpoint_step
          required: false
          schema:
            description: >-
              Specifies the checkpoint step to download from the list
              checkpoints response. A final checkpoint step downloads the final
              model; 0 or omitted downloads the final model by default. Ignores
              `checkpoint` value if set.
            type: integer
        - in: query
          name: checkpoint
          schema:
            description: >-
              Specifies checkpoint type to download - `merged` vs `adapter`.
              This field is required if the checkpoint_step is not set.
            type: string
            enum:
              - merged
              - adapter
              - model_output_path
      responses:
        '200':
          description: Successfully downloaded the fine-tuned model or checkpoint.
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
        '400':
          description: Invalid request parameters.
        '404':
          description: Fine-tune ID not found.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````